Bug 114395 - [Math] Reorganize four dialogues from menu Format in to one dialogue
Summary: [Math] Reorganize four dialogues from menu Format in to one dialogue
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Formula-Editor Dialog
  Show dependency treegraph
 
Reported: 2017-12-10 21:15 UTC by Roman Kuznetsov
Modified: 2019-06-21 07:03 UTC (History)
12 users (show)

See Also:
Crash report or crash signature:


Attachments
One normal dialogue Format (mockup) (73.69 KB, image/png)
2017-12-10 21:16 UTC, Roman Kuznetsov
Details
Current situation with many dialogs (30.70 KB, image/png)
2017-12-11 10:09 UTC, Heiko Tietze
Details
One normal dialogue Format with two tabs (mockup) (95.67 KB, image/png)
2017-12-17 15:18 UTC, Roman Kuznetsov
Details
Alternative mockup #1 (93.47 KB, image/png)
2017-12-19 11:41 UTC, Heiko Tietze
Details
Openable/collapsable tree for spacing settings (94.59 KB, image/png)
2017-12-20 08:05 UTC, csongor
Details
Proposal for a redesign (111.91 KB, image/png)
2018-01-31 20:59 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2017-12-10 21:15:02 UTC
Description:
Reorganize four dialogues from menu Format in to one dialogue in Math
Now we have four different small dialogues for set formatting of Math formulas in Math
I offer make one dialogue "Format", that combine in itself all four small dialogue
(see mockup from attach)

Steps to Reproduce:
1. Open Math
2. Try format your formula. You must to use four different dialogues and remember which values you use for type of fonts, size of fonts, spacing and alignment...
3. In my variant all option are in one dialogue

Actual Results:  
there are four small dialogue with different options of formatting

Expected Results:
there is one normal dialogue with all options of formatting in one window


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Roman Kuznetsov 2017-12-10 21:16:03 UTC
Created attachment 138351 [details]
One normal dialogue Format (mockup)
Comment 2 Heiko Tietze 2017-12-11 10:09:57 UTC
Created attachment 138361 [details]
Current situation with many dialogs

We should definitely consider to merge the many dialogs into one. But rather than your approach with a couple of separate sections on one page I suggest to go with tabs. Spacing and Alignment could be merged.

Attached image shows the current dialogs- I wonder where 'Scale all brackets' comes from.
Comment 3 Regina Henschel 2017-12-11 10:48:48 UTC
I'm not happy with integrating the "Spacing" dialog. The "Spacing" dialog is very large in itself and has the shortcoming, that you always need to first chose the category, because the last selection is not remembered. My suggestion is, to make a separate dialog for "Spacing" and perhaps put each category in an own tab, and remember the tab.

> Attached image shows the current dialogs- I wonder where 'Scale all
> brackets' comes from.
It is a checkbox in dialog Spacing, category Brackets.

Please make the dialog-windows not too large. LibreOffice should work on 1024x768 netbooks too.
Comment 4 Heiko Tietze 2017-12-11 10:57:43 UTC
(In reply to Regina Henschel from comment #3)
> It is a checkbox in dialog Spacing, category Brackets.

OMG! And now I understand your category argument, but we can easily find a better solution, for instance a list.
Comment 5 Roman Kuznetsov 2017-12-11 14:26:02 UTC
(In reply to Regina Henschel from comment #3)
> I'm not happy with integrating the "Spacing" dialog. The "Spacing" dialog is
> very large in itself and has the shortcoming, that you always need to first
> chose the category, because the last selection is not remembered. My
> suggestion is, to make a separate dialog for "Spacing" and perhaps put each
> category in an own tab, and remember the tab.

If we'll make "Spacing" without drop-down list "Category", then this section really will be huge.

> Please make the dialog-windows not too large. LibreOffice should work on
> 1024x768 netbooks too.

not more than any dialog for customization of formatting
Comment 6 Roman Kuznetsov 2017-12-17 15:18:18 UTC
Created attachment 138489 [details]
One normal dialogue Format with two tabs (mockup)

Add mockup "One normal dialogue Format with two tabs"
Comment 7 Regina Henschel 2017-12-17 18:55:29 UTC
Special problems in the proposal 2017-12-17, but see below too:

(A) "Modify" for Fonts is a drop-down-list not a button. A click on an item in that list opens a new dialog.

(B) "Default" for alignment is lost.

(C) "Default" for spacing does no longer apply to single Spacing categories.

(D) It is not clear, what "Excess Size" for "Scale all Brackets" means, because the image, which explains it in the current dialog, is missing.

(E) "Spaces" has a different meaning than "Spacing". Here it is "Spacing".

(F) The scope of "Scale all Brackets" is unclear. Using that option for all new documents is no longer possible, because its "Default" button is missing.



I see no advantage or improvement compared to the current implementation.

The proposal does not address current problems. Such problems are IMO e.g.: 

(1) The drop-down-list at the single font categories does not open a list of the installed fonts, but a list of the fonts which has been already set in the current session.

(2) "Modify" for Fonts has two steps, first selecting the font-category, then selecting font and style.

(3) The buttons "Default" are unclear until you use them. The label "Default" creates the impression, that changes, which the user has made are reverted and the default settings of LibreOffice are used. But it is the other way round, the user settings become default for new formulas.

(4) The scope of "Default" is unclear, which "new" formulas are affected? In current module or in all modules? In current session or in future sessions too?

(5) "Spacing" has two steps, first selecting the category, then making the changes.

(6) Reset to "factory defaults" is missing.

(7) There exists no way to use different sets of settings for the individual modules. For example Writer needs always different font settings than Impress. Even a simple save/load settings is missing.
Comment 8 Heiko Tietze 2017-12-19 11:41:33 UTC
Created attachment 138520 [details]
Alternative mockup #1

Planning this for the design meeting tomorrow and prepared an alternative layout. Pencil source is available at 
https://wiki.documentfoundation.org/File:20171219_MathDialogs.epgz.zip (epgz are now accepted).
Comment 9 Regina Henschel 2017-12-19 13:34:24 UTC
The lists with visible items are better than the current drop-down lists.

But I see still problems:
The font tab misses the base size.
The "Default" button is _not_ a reset button. Such "reset" is missing in the current dialog.
Settings below the Help-OK-Cancel line are unusual.
In the current dialog the image in the spacing dialogs is not a "preview" which will adapt to the settings. It is a static image, which shows, which distance is affected.
Comment 10 V Stuart Foote 2017-12-19 15:13:20 UTC
A Preview image on the Font selection panel would be a useful enhancement (new code) +1 

But the static image annotating the node spacing being adjusted are essential to the UI. Otherwise generating a preview on the Spacing tab (new code) would be almost useless. Just continue to use the static guide images, maybe not label it Preview.

Font Size still needs its own set of controls. Once the font is selected, a base size must be set--as that base is used in scaling each component type of a formula node; i.e. Text, Indexes, Functions, Operators, Limits. And here a preview (new code) would be helpful--so Font Size would probably do best on its own tab.

A "Reset" button (new code) would be an improvement--as the "Default" button action now will query if user chooses to apply current settings (Fonts, Sizes, Spacings) as default for all new formulas. Once made there is no way to return to LO defaults short of clearing user profile (or directly editing registrymodifications.xcu profile to remove all ...Math/StandardFormat stanzas).

The "Scale all brackets" checkbox and its "Excess size" control should be added to the body of Spacing tab when the Brackets category is active.
Comment 11 Heiko Tietze 2017-12-19 15:54:08 UTC
(In reply to Regina Henschel from comment #9)
> Settings below the Help-OK-Cancel line are unusual.

(In reply to V Stuart Foote from comment #10)
> The "Scale all brackets" checkbox and its "Excess size" control should be
> added to the body of Spacing tab when the Brackets category is active.

These options show up only for Brackets- and of course with the other properties then.
Comment 12 csongor 2017-12-20 08:04:48 UTC
If we put all the spacing-related settings into an openable/collapsable tree then the window size can remain small. 

See the attached openable_tree_for_spacing.png. (Sorry for utilizing existing mocks and extending with my ugly browser-grabbed part:))

When the user opens the large composed window the first time, with the tree in the upper right section, then all the branches of the tree are closed. When they start to open/close branches then the vertical scrollbar may appear if there are too many branches open. 

When the user returns to this dialog then they find the same branches open as they left them last time.


This solution is a space-efficient, easy-to-use and it can be familiar for everybody who saw an installer where they can determine which sub-components to install.
Comment 13 csongor 2017-12-20 08:05:30 UTC
Created attachment 138544 [details]
Openable/collapsable tree for spacing settings
Comment 14 Heiko Tietze 2018-01-16 15:47:41 UTC
There is a well-known extension for math, documented at http://dmaths.org/.
Didier, what do you think about the suggestion? The plan is to discuss it tomorrow.
Comment 15 Heiko Tietze 2018-01-31 20:59:41 UTC
Created attachment 139478 [details]
Proposal for a redesign

We discussed the idea in the design meeting. Ideally the dialog provides an overview of the categories with the options to inline modify it. A real preview shows the result. 

Second tab lists to spacing categories and the respective options (can change). Again a real preview would be nice.

Default allows to save the current settings (both tabs) as new default or to restore the original values.